Skip to main content

Query Parameters

market
string
default:"sg"
Shopee storefront code. The category tree is localized per market.Examples: sg, my, th, vn

Response

market
string
Storefront the tree applies to.
categories
array
Recursive array of category nodes.

Example Response

{
  "market": "sg",
  "categories": [
    {
      "category_id": 11000001,
      "parent_id": 0,
      "name": "Mobile & Gadgets",
      "display_name": "Mobile & Gadgets",
      "image": "https://cf.shopee.sg/file/cat-mobile",
      "children": [
        {
          "category_id": 11012345,
          "parent_id": 11000001,
          "name": "Audio",
          "display_name": "Audio",
          "image": "https://cf.shopee.sg/file/cat-audio",
          "children": []
        }
      ]
    }
  ]
}
The category tree costs 2 credits. Failed requests are not charged.